const pdf = require('html-pdf')
const { json, send, sendError } = require('micro')

module.exports = async (req, res) => {
  // const { html } = await json(req, { limit: '6mb' })

  const html = `
  <!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
  </head>
  <body>
  <h1>Room Name</h1><table><tr><td>7:00 - 7:30</td><td> </td></tr><tr><td>7:30 - 8:00</td><td> </td></tr><tr><td>8:00 - 8:30</td><td> </td></tr><tr><td>8:30 - 9:00</td><td> </td></tr><tr><td>9:00 - 9:30</td><td> </td></tr><tr><td>9:30 - 10:00</td><td> </td></tr><tr><td>10:00 - 10:30</td><td> </td></tr><tr><td>10:30 - 11:00</td><td> </td></tr><tr><td>11:00 - 11:30</td><td> </td></tr><tr><td>11:30 - 12:00</td><td> </td></tr><tr><td>12:00 - 12:30</td><td> </td></tr><tr><td>12:30 - 1:00</td><td> </td></tr><tr><td>1:00 - 1:30</td><td> </td></tr><tr><td>1:30 - 2:00</td><td> </td></tr><tr><td>2:00 - 2:30</td><td> </td></tr><tr><td>2:30 - 3:00</td><td> </td></tr><tr><td>3:00 - 3:30</td><td> </td></tr><tr><td>3:30 - 4:00</td><td> </td></tr><tr><td>4:00 - 4:30</td><td> </td></tr><tr><td>4:30 - 5:00</td><td> </td></tr><tr><td>5:00 - 5:30</td><td> </td></tr><tr><td>5:30 - 6:00</td><td> </td></tr><tr><td>6:00 - 6:30</td><td> </td></tr><tr><td>6:30 - 7:00</td><td> </td></tr><tr><td>7:00 - 7:30</td><td> </td></tr><tr><td>7:30 - 8:00</td><td> </td></tr><tr><td>8:00 - 8:30</td><td> </td></tr><tr><td>8:30 - 9:00</td><td> </td></tr><tr><td>9:00 - 9:30</td><td> </td></tr><tr><td>9:30 - 10:00</td><td> </td></tr></table><style>
          :root {
            --light: white;

            --font-primary: -apple-system, Segoe UI, Roboto, Noto Sans, Ubuntu, Cantarell,
              Helvetica Neue, sans-serif;
          }
           
          * {
            box-sizing: border-box;
          }

          body {
            margin: 0;
            background: var(--light);
            font-variant-numeric: tabular-nums;
          }

          .row {
            display: flex;
          }

          .column {
            display: flex;
            flex-direction: column;
          }
          table {
            border: 1px solid black;
            border-spacing: 0px;
          }
          tr {
            height: 0.5in;
          }
          td {
            border: 1px solid black;
            padding: 0.125in;
          }
          tr td:nth-child(2) {
            width: 5in;
          }
        </style>
  </body>
</html>
`

  pdf
    .create(html, {
      format: 'Letter',
      border: {
        top: '0.5in', // default is 0, units: mm, cm, in, px
        right: '0.5in',
        bottom: '0.5in',
        left: '0.5in'
      }
      // footer: {
      //   height: '28mm',
      //   contents: {
      //     default: `<span style="color: #444; margin: 0 0 0 0.5in; padding: 0px;">${footer}</span>`
      //   }
      // }
    })
    .toStream((err, stream) => {
      if (err) return sendError(req, res, err)

      res.setHeader('Content-type', 'application/pdf')
      send(res, 200, stream)
    })
}
